          ;************************************
          ;   SOFTWARE FOR ET-8032  VER 2.0   *
          ;       PROGRAM TEST 74LS374        *
          ;  DIGITAL OUTPUT OF ET-ADIO BOARD  *
          ;************************************

          ORG   8000H
P_OUT     EQU   0E04FH            ; port output of 74LS374

          ;******************
          ;*  MAIN PROGRAM  *
          ;******************

START:    MOV   B,#0FH            ; counter
          MOV   R0,#TABLE
          MOV   P2,#HIGH TABLE
          MOV   DPTR,#P_OUT       ; point to out port
LOOP:     MOVX  A,@R0
          MOVX  @DPTR,A
          LCALL DELAY
          INC   R0
          DJNZ  B,LOOP
          AJMP  START

DELAY:    MOV   R2,#00H
DELAY1:   MOV   R3,#00H
DELAY2:   DJNZ  R3,DELAY2
          DJNZ  R2,DELAY1
          RET


          ;******************************
          ;* TABLE OF DATA LED DISPLAY  *
          ;******************************

TABLE:    DB 00000001B,00000010B,00000100B,00001000B
          DB 00010000B,00100000B,01000000B,10000000B
          DB 11000000B,11100000B,11110000B,11111000B
          DB 11111100B,11111110B,11111111B,00000000B


          END
